KTimezoneDetails Class Reference

`#include <ktimezones.h>`

Inherited by AbbreviationsMatch, and OffsetFind.

## Public Member Functions

virtual void | parseEnded ()
virtual void | parseStarted ()
virtual void | gotHeader (unsigned ttIsGmtCnt, unsigned ttIsStdCnt, unsigned leapCnt, unsigned timeCnt, unsigned typeCnt, unsigned charCnt)
virtual void | gotTransitionTime (int index, unsigned transitionTime)
virtual void | gotLocalTimeIndex (int index, unsigned localTimeIndex)
virtual void | gotLocalTime (int index, int gmtOff, bool isDst, unsigned abbrIndex)
virtual void | gotAbbreviation (int index, const QString &abbr)
virtual void | gotLeapAdjustment (int index, unsigned leapTime, unsigned leapSeconds)
virtual void | gotIsStandard (int index, bool isStandard)
virtual void | gotIsUTC (int index, bool isUTC)

## Detailed Description

The KTimezoneDetails class contains extended functions related to a timezone.

The parser must be customised by overriding the given virtual callbacks:

- parseEnded()
- parseStarted()
- gotHeader()
- gotTransitionTime()
- gotLocalTimeIndex()
- gotLocalTime()
- gotAbbreviation()
- gotLeapAdjustment()
- gotIsStandard()
- gotIsUTC()

See also
  KTimezone

Since
  3.5

Author
  S.R.Haque srhaq.nosp@m.ue@i.nosp@m.ee.or.nosp@m.g.

Definition at line 225 of file ktimezones.h.

## Member Function Documentation

void KTimezoneDetails::gotAbbreviation | ( | int | index,
|  | const QString & | abbr
| ) |  |

virtual

Called when a timezone abbreviation is seen.

Note that the index here is NOT a simple incrementing integer, rather it matches the sequence of abbrIndex values from gotLocalTime().

Definition at line 642 of file ktimezones.cpp.

void KTimezoneDetails::gotHeader | ( | unsigned | ttIsGmtCnt,
|  | unsigned | ttIsStdCnt,
|  | unsigned | leapCnt,
|  | unsigned | timeCnt,
|  | unsigned | typeCnt,
|  | unsigned | charCnt
| ) |  |

virtual

Called when the header is seen.

Definition at line 645 of file ktimezones.cpp.

void KTimezoneDetails::gotIsStandard | ( | int | index,
|  | bool | isStandard
| ) |  |

virtual

Called when a standard/wall time indicator is seen.

Definition at line 659 of file ktimezones.cpp.

void KTimezoneDetails::gotIsUTC | ( | int | index,
|  | bool | isUTC
| ) |  |

virtual

Called when a UTC/local time indicator is seen.

Definition at line 665 of file ktimezones.cpp.

void KTimezoneDetails::gotLeapAdjustment | ( | int | index,
|  | unsigned | leapTime,
|  | unsigned | leapSeconds
| ) |  |

virtual

Called when a leap second adjustment is seen.

Definition at line 650 of file ktimezones.cpp.

void KTimezoneDetails::gotLocalTime | ( | int | index,
|  | int | gmtOff,
|  | bool | isDst,
|  | unsigned | abbrIndex
| ) |  |

virtual

Called when a local time is seen.

Definition at line 653 of file ktimezones.cpp.

void KTimezoneDetails::gotLocalTimeIndex | ( | int | index,
|  | unsigned | localTimeIndex
| ) |  |

virtual

Called when a local time index is seen.

Definition at line 656 of file ktimezones.cpp.

void KTimezoneDetails::gotTransitionTime | ( | int | index,
|  | unsigned | transitionTime
| ) |  |

virtual

Called when a transition time is seen.

Definition at line 662 of file ktimezones.cpp.

void KTimezoneDetails::parseEnded | ( |  | ) |

virtual

Always called after all other callbacks.

Definition at line 668 of file ktimezones.cpp.

void KTimezoneDetails::parseStarted | ( |  | ) |

virtual

Always called before any other callback.

Definition at line 671 of file ktimezones.cpp.

The documentation for this class was generated from the following files:

- ktimezones.h
- ktimezones.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys